commit 47c4ed10319e4048b75b10103f514290b3a056ee
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Tue Jul 16 12:30:43 2024 +0100

    Debug: indents

diff --git a/src/src/deliver.c b/src/src/deliver.c
index 33d833389..7576682f4 100644
--- a/src/src/deliver.c
+++ b/src/src/deliver.c
@@ -2921,7 +2921,7 @@ while (addr_local)
 
     if (dbm_file)
       {
-      dbdata_retry *retry_record = dbfn_read(dbm_file, retry_key);
+      dbdata_retry * retry_record = dbfn_read(dbm_file, retry_key);
 
       /* If there is no retry record, delivery happens. If there is,
       remember it exists so it can be deleted after a successful delivery. */
@@ -7447,7 +7447,10 @@ while (addr_new)           /* Loop until all addresses dealt with */
       continue_retry_db = NULL;
 
     if (continue_retry_db)
+      {
+      DEBUG(D_hints_lookup) debug_printf("using cached retry hintsdb handle\n");
       dbm_file = continue_retry_db;
+      }
     else if (!exim_lockfile_needed() && continue_transport)
       {
       dbm_file = dbfn_open_multi(US"retry", O_RDONLY, &dbblock);
@@ -7703,6 +7706,11 @@ while (addr_new)           /* Loop until all addresses dealt with */
     sender attached, because this form is used by the smtp transport after a
     4xx response to RCPT when address_retry_include_sender is true. */
 
+    DEBUG(D_retry)
+      {
+      debug_printf_indent("checking router retry status\n");
+      acl_level++;
+      }
     addr->domain_retry_key = string_sprintf("R:%s", addr->domain);
     addr->address_retry_key = string_sprintf("R:%s@%s", addr->local_part,
       addr->domain);
@@ -7715,7 +7723,7 @@ while (addr_new)           /* Loop until all addresses dealt with */
 	 )
 	{
 	DEBUG(D_deliver|D_retry)
-	  debug_printf("domain retry record present but expired\n");
+	  debug_printf_indent("domain retry record present but expired\n");
         domain_retry_record = NULL;    /* Ignore if too old */
 	}
 
@@ -7725,7 +7733,7 @@ while (addr_new)           /* Loop until all addresses dealt with */
 	 )
 	{
 	DEBUG(D_deliver|D_retry)
-	  debug_printf("address retry record present but expired\n");
+	  debug_printf_indent("address retry record present but expired\n");
         address_retry_record = NULL;   /* Ignore if too old */
 	}
 
@@ -7738,7 +7746,7 @@ while (addr_new)           /* Loop until all addresses dealt with */
 	   && now - address_retry_record->time_stamp > retry_data_expire)
 	  {
 	  DEBUG(D_deliver|D_retry)
-	    debug_printf("address<sender> retry record present but expired\n");
+	    debug_printf_indent("address<sender> retry record present but expired\n");
           address_retry_record = NULL;   /* Ignore if too old */
 	  }
         }
@@ -7749,18 +7757,19 @@ while (addr_new)           /* Loop until all addresses dealt with */
     DEBUG(D_deliver|D_retry)
       {
       if (!domain_retry_record)
-	debug_printf("no   domain  retry record\n");
+	debug_printf_indent("no   domain  retry record\n");
       else
-	debug_printf("have domain  retry record; next_try = now%+d\n",
+	debug_printf_indent("have domain  retry record; next_try = now%+d\n",
 		      f.running_in_test_harness ? 0 :
 		      (int)(domain_retry_record->next_try - now));
 
       if (!address_retry_record)
-	debug_printf("no   address retry record\n");
+	debug_printf_indent("no   address retry record\n");
       else
-	debug_printf("have address retry record; next_try = now%+d\n",
+	debug_printf_indent("have address retry record; next_try = now%+d\n",
 		      f.running_in_test_harness ? 0 :
 		      (int)(address_retry_record->next_try - now));
+      acl_level--;
       }
 
     /* If we are sending a message down an existing SMTP connection, we must
diff --git a/src/src/retry.c b/src/src/retry.c
index fdcb6abea..071c94cd8 100644
--- a/src/src/retry.c
+++ b/src/src/retry.c
@@ -554,7 +554,7 @@ retry_update(address_item ** addr_defer, address_item ** addr_failed,
 open_db dbblock, * dbm_file = NULL;
 time_t now = time(NULL);
 
-DEBUG(D_retry) { debug_printf("Processing retry items\n"); acl_level++; }
+DEBUG(D_retry) { debug_printf_indent("Processing retry items\n"); acl_level++; }
 
 /* Three-times loop to handle succeeded, failed, and deferred addresses.
 Deferred addresses must be handled after failed ones, because some may be moved
@@ -567,8 +567,12 @@ for (int i = 0; i < 3; i++)
   address_item ** paddr = i==0 ? addr_succeed : i==1 ? addr_failed : addr_defer;
   address_item ** saved_paddr = NULL;
 
-  DEBUG(D_retry) debug_printf_indent("%s addresses:\n",
-    i == 0 ? "Succeeded" : i == 1 ? "Failed" : "Deferred");
+  DEBUG(D_retry)
+    {
+    debug_printf_indent("%s addresses:\n",
+      i == 0 ? "Succeeded" : i == 1 ? "Failed" : "Deferred");
+    acl_level++;
+    }
 
   /* Loop for each address on the chain. For deferred addresses, the whole
   address times out unless one of its retry addresses has a retry rule that
@@ -589,8 +593,12 @@ for (int i = 0; i < 3; i++)
       int update_count = 0;
       int timedout_count = 0;
 
-      DEBUG(D_retry) debug_printf_indent(" %s%s\n", addr->address,
-       	addr->retries ? "" : ": no retry items");
+      DEBUG(D_retry)
+	{
+	debug_printf_indent("%s%s\n", addr->address,
+			    addr->retries ? "" : ": no retry items");
+	acl_level++;
+	}
 
       /* Loop for each retry item. */
 
@@ -883,6 +891,7 @@ for (int i = 0; i < 3; i++)
         (void)dbfn_write(dbm_file, rti->key, retry_record,
           sizeof(dbdata_retry) + message_length);
         }                            /* Loop for each retry item */
+      DEBUG(D_retry) acl_level--;
 
       /* If all the non-delete retry items are timed out, the address is
       timed out, provided that we didn't skip any hosts because their retry
@@ -957,13 +966,14 @@ for (int i = 0; i < 3; i++)
 
     paddr = &(endaddr->next);         /* Advance to next address */
     }                                 /* Loop for all addresses  */
+  DEBUG(D_retry) acl_level--;
   }                                   /* Loop for succeed, fail, defer */
 
 /* Close and unlock the database */
 
 if (dbm_file) dbfn_close(dbm_file);
 
-DEBUG(D_retry) { acl_level--; debug_printf("end of retry processing\n"); }
+DEBUG(D_retry) { acl_level--; debug_printf_indent("end of retry processing\n"); }
 }
 
 /* End of retry.c */
diff --git a/src/src/transport.c b/src/src/transport.c
index 327d09cff..398022354 100644
--- a/src/src/transport.c
+++ b/src/src/transport.c
@@ -1724,13 +1724,18 @@ if ( continue_wait_db
    : !(dbp = dbfn_open(string_sprintf("wait-%.200s", transport_name),
 		      O_RDWR, &dbblock, TRUE, TRUE))
    )
+  {
+  DEBUG(D_transport)
+    debug_printf_indent("no messages waiting for %s\n", hostname);
   goto retfalse;
+  }
 
 /* See if there is a record for this host; if not, there's nothing to do. */
 
 if (!(host_record = dbfn_read(dbp, hostname)))
   {
-  DEBUG(D_transport) debug_printf_indent("no messages waiting for %s\n", hostname);
+  DEBUG(D_transport)
+    debug_printf_indent("no messages waiting for %s\n", hostname);
   goto dbclose_false;
   }
 

